"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
const MQSCCommand_definition_1 = require("./mqsc/MQSCCommand.definition");
const MQSessionUtils_1 = require("../MQSessionUtils");
// Does not use the import in anticipation of some internationalization work to be done later.
const strings = require("../-strings-/en").default.COMMAND;
const CommandDefinition = {
    name: "run",
    summary: strings.SUMMARY,
    description: strings.DESCRIPTION,
    type: "group",
    children: [MQSCCommand_definition_1.MQSCCommandDefinition],
    passOn: [
        {
            property: "options",
            value: MQSessionUtils_1.MqSessionUtils.MQ_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = CommandDefinition;
//# sourceMappingURL=Command.definition.js.map