"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
const DataSet_definition_1 = require("./data-set/DataSet.definition");
const UssFile_definition_1 = require("./uss-file/UssFile.definition");
const AllSpoolByJobId_definition_1 = require("./all-spool-by-jobid/AllSpoolByJobId.definition");
const FTPConfig_1 = require("../../api/FTPConfig");
const DownloadDefinition = {
    name: "download", aliases: ["dl"],
    summary: "Download data set, job spool, and USS file content",
    description: "Download data set, job spool, and USS file content",
    type: "group",
    children: [AllSpoolByJobId_definition_1.DownloadAllSpoolByJobidDefinition, DataSet_definition_1.DownloadDataSetDefinition, UssFile_definition_1.DownloadUSSFileDefinition],
    passOn: [
        {
            property: "options",
            value: FTPConfig_1.FTPConfig.FTP_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = DownloadDefinition;
//# sourceMappingURL=Download.definition.js.map