"use strict";
/**
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UrimapDefinition = void 0;
// Does not use the import in anticipation of some internationalization work to be done later.
const strings = require("../../-strings-/en").default.DISABLE.RESOURCES.URIMAP;
exports.UrimapDefinition = {
    name: "urimap",
    aliases: [],
    description: strings.DESCRIPTION,
    handler: __dirname + "/Urimap.handler",
    type: "command",
    positionals: [{
            name: "urimapName",
            description: strings.POSITIONALS.URIMAPNAME,
            type: "string",
            required: true
        }],
    options: [{
            name: "region-name",
            description: strings.OPTIONS.REGIONNAME,
            type: "string"
        }],
    profile: { optional: ["cics"] },
    examples: [{
            description: strings.EXAMPLES.EX1,
            options: "URIMAPA --region-name MYREGION"
        }]
};
//# sourceMappingURL=Urimap.definition.js.map