"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
const imperative_1 = require("@zowe/imperative");
class PluginLifeCycle extends imperative_1.AbstractPluginLifeCycle {
    postInstall() {
        const deprecationMessage = "The IBM® IMS™ Plug-in for Zowe CLI is deprecated, " +
            "and will not receive additional security updates, bug fixes, or enhancements.";
        const consoleLogger = imperative_1.Logger.getConsoleLogger();
        const appLogger = imperative_1.Logger.getAppLogger();
        consoleLogger.warn(deprecationMessage);
        appLogger.warn(deprecationMessage);
    }
    preUninstall() {
        return;
    }
}
module.exports = PluginLifeCycle;
//# sourceMappingURL=pluginLifeCycle.js.map